Bug 251282

Summary: Review Request: x3d-dtd-schema - X3D DTDs and schemata
Product: [Fedora] Fedora Reporter: Braden McDaniel <braden>
Component: Package ReviewAssignee: Anthony Green <green>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, msuchy, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://endoframe.com/x3d-dtd-schema-3.1-1.src.rpm
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-19 06:03:29 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Braden McDaniel 2007-08-08 01:16:54 EDT
Spec URL: http://endoframe.com/x3d-dtd-schema.spec
SRPM URL: http://endoframe.com/x3d-dtd-schema-3.0-1.src.rpm
Description: X3D DTDs and schemata.
Comment 1 Anthony Green 2007-10-13 09:10:13 EDT
Thanks for submitting this.

These rpmlint warnings should be cleaned up...
# rpmlint /usr/src/redhat/RPMS/noarch/x3d-dtd-schema-3.0-1.noarch.rpm 
W: x3d-dtd-schema wrong-file-end-of-line-encoding
/usr/share/doc/x3d-dtd-schema-3.0/x3d-schema-changelog.txt
W: x3d-dtd-schema wrong-file-end-of-line-encoding
/usr/share/doc/x3d-dtd-schema-3.0/x3d-dtd-changelog.txt

I'll do a full review this weekend.
Comment 2 Braden McDaniel 2007-10-13 10:32:43 EDT
I'm currently thinking I should probably change the package name here to push
the '3.0' into package name and just use a date as the version (like I already
do for x3d-xsl). There will be 3.1, 3.2, etc. releases of these DTDs; and they
should not obsolete one another.
Comment 3 Braden McDaniel 2007-10-13 20:10:32 EDT
Re: the rpmlint warnings, is it appropriate to process the files with dos2unix?
Or is some other mechanism preferred?

A bit more about additional DTD versions...

There are now, in addition to the 3.0 DTDs, 3.1 DTDs; and 3.2 DTDs are
forthcoming. The Web3D Consortium packages these separately. Should we compile
them into a single RPM package (i.e., "x3d-dtd-schemas"), or provide them in
separate packages (i.e., "x3d-dtd-schemas30", "x3d-dtd-schemas31", etc.)?

Another issue... While the Consortium fixes bugs in these DTDs in their revision
control, they do not appear to think it necessary to provide updated packages
with the fixes. My current strategy is to apply patches with the updates to the
packaged DTDs. Painful, but I don't have a better idea.
Comment 4 Patrice Dumas 2007-10-13 20:19:12 EDT
(In reply to comment #3)
> Re: the rpmlint warnings, is it appropriate to process the files with dos2unix?
> Or is some other mechanism preferred?

I personally prefer 
sed -i -e 's/\r//' myfile
to avoid adding another build dependency.
Comment 5 Anthony Green 2007-10-13 23:31:21 EDT
(In reply to comment #2)
> I'm currently thinking I should probably change the package name here to push
> the '3.0' into package name and just use a date as the version (like I already
> do for x3d-xsl). There will be 3.1, 3.2, etc. releases of these DTDs; and they
> should not obsolete one another.

I think it would also be reasonable to put them all in one package.
Comment 6 Anthony Green 2007-10-13 23:33:42 EDT
(In reply to comment #3)
> There are now, in addition to the 3.0 DTDs, 3.1 DTDs; and 3.2 DTDs are
> forthcoming. The Web3D Consortium packages these separately. Should we compile
> them into a single RPM package (i.e., "x3d-dtd-schemas"), or provide them in
> separate packages (i.e., "x3d-dtd-schemas30", "x3d-dtd-schemas31", etc.)?

(I should have read all your comments before responding!)

I like the idea of putting them all in one package.

> Another issue... While the Consortium fixes bugs in these DTDs in their revision
> control, they do not appear to think it necessary to provide updated packages
> with the fixes. My current strategy is to apply patches with the updates to the
> packaged DTDs. Painful, but I don't have a better idea.

That sounds fair to me.  This kind of behaviour is quite common.


Comment 7 Anthony Green 2007-10-13 23:36:45 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > Re: the rpmlint warnings, is it appropriate to process the files with dos2unix?
> > Or is some other mechanism preferred?
> 
> I personally prefer 
> sed -i -e 's/\r//' myfile
> to avoid adding another build dependency.

And the packaging guidelines specially ask people not to use dos2unix...
http://fedoraproject.org/wiki/Packaging/Guidelines


Comment 8 Braden McDaniel 2008-01-28 00:20:08 EST
Okay; at long last, an updated spec file and SRPM.

This packages both the 3.0 and 3.1 specs and DTDs.

spec: http://endoframe.com/x3d-dtd-schema.spec
SRPM: http://endoframe.com/x3d-dtd-schema-3.1-1.src.rpm

Comment 9 Rakesh Pandit 2008-09-03 12:43:27 EDT
@Anthony
Are you interested in continuing with review?
Comment 10 Anthony Green 2008-11-10 16:12:25 EST
(In reply to comment #8)
> Okay; at long last, an updated spec file and SRPM.
> 
> This packages both the 3.0 and 3.1 specs and DTDs.
> 
> spec: http://endoframe.com/x3d-dtd-schema.spec
> SRPM: http://endoframe.com/x3d-dtd-schema-3.1-1.src.rpm
> 
> 

Thanks Brandon.  Sorry for the long silence.

Which package should own /usr/share/xml/x3d?  If not this package, then it should depend on one that does.

Thanks,

AG
Comment 11 Anthony Green 2008-11-10 16:26:41 EST
Some rpmlint output:

x3d-dtd-schema.noarch: W: incoherent-version-in-changelog 3.0-1 ['3.1-1', '3.1-1']
x3d-dtd-schema.noarch: W: invalid-license Distributable

I think there's a real question about the license for these files.  The closest thing I could find to a license is the Web3D IP policy: http://www.web3d.org/cgi-bin/fetch/fetch.cgi?ipr  but I don't know if it really applies.

Can you do better than "Distributable"?

Thanks,

AG
Comment 12 Miroslav Suchý 2012-12-11 16:58:06 EST
Ping? Any progress here? Or we can close this review?
Comment 13 Miroslav Suchý 2013-02-19 06:03:29 EST
Stalled Review. Closing per:
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
If you ever want to continue with this review, please reopen or
submit new review.